Skip to main content
GET
/
v2
/
loyalties
/
programs
/
{programId}
/
members
/
{memberId}
/
cards
/
{cardId}
/
reports
/
daily
Get card daily points report
curl --request GET \
  --url {protocol}://{host}/v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/reports/daily \
  --header 'Authorization: Bearer <token>' \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{
  "data": [
    {
      "date": "2023-12-25",
      "points_total": 123,
      "points_earned": 123,
      "points_added": 123,
      "points_purchased": 123,
      "points_purchased_reversed": 123,
      "points_subtracted": 123,
      "points_expired": 123,
      "points_spent": 123,
      "points_refunded": 123,
      "points_returned": 123,
      "points_locked": 123,
      "points_unlocked": 123,
      "pending_points_total": 123,
      "pending_points_activated": 123,
      "pending_points_canceled": 123,
      "object": "<string>"
    }
  ],
  "object": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Unique loyalty program identifier (format: lprg_ followed by hexadecimal characters).

memberId
string
required

Program member ID (format lmbr_[a-f0-9]+).

Pattern: ^lmbr_[a-f0-9]+$
cardId
string
required

Unique loyalty card identifier (format: lcrd_ followed by hexadecimal characters).

Query Parameters

start_date
string<date>
required

Start of the report date range (inclusive), in YYYY-MM-DD format.

Pattern: ^\d{4}-\d{2}-\d{2}$
end_date
string<date>
required

End of the report date range, in YYYY-MM-DD format.

Pattern: ^\d{4}-\d{2}-\d{2}$
resolution
enum<string>
required

Aggregation resolution of the report. The allowed date range depends on the resolution: day — max 90 days, week — max 12 weeks, month — max 12 months, quarter — max 4 quarters.

Available options:
day,
week,
month,
quarter

Response

Card daily points report.

Card daily report result.

data
object[]

Report entries, one per aggregation period.

object
string

Object type marker. Always report.

Allowed value: "report"
Last modified on July 9, 2026